Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2000-0499

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2000-0499
Last Modified 10 Sep 2008 03:04:50
Published 08 Jun 2000 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2000-0499

Summary

The default configuration of BEA WebLogic 3.1.8 through 4.5.1 allows a remote attacker to view source code of a JSP program by requesting a URL which provides the JSP extension in upper case.

Vulnerable Systems

Application

  • Bea Weblogic Server

  • Bea Weblogic Server 3.1.8

  • Bea Weblogic Server 4.0.4

  • Bea Weblogic Server 4.5.1


References

BID - 1328

CONFIRM - http://developer.bea.com/alerts/security_000612.html

XF - weblogic-jsp-source-read

NTBUGTRAQ - 20000612 BEA WebLogic JSP showcode vulnerability


Last Updated: 27 May 2016 10:35:44